org.apache.sling.superimposing.impl

## Class SuperimposingResourceIterator

- java.lang.Object
- - org.apache.sling.superimposing.impl.SuperimposingResourceIterator

All Implemented Interfaces:
  Iterator<org.apache.sling.api.resource.Resource>

    public class SuperimposingResourceIterator
    extends Object
    implements Iterator<org.apache.sling.api.resource.Resource>

Iterates over children of a `SuperimposingResource` by iterating over the children of the source resource and remapping and wrapping all children in SuperimposingResource instances.

### Method Summary

Methods
`boolean` `hasNext()`
`org.apache.sling.api.resource.Resource` `next()`
`void` `remove()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `Iterator<org.apache.sling.api.resource.Resource>`

#### next

    public org.apache.sling.api.resource.Resource next()

Specified by:
  `next` in interface `Iterator<org.apache.sling.api.resource.Resource>`

#### remove

    public void remove()

Specified by:
  `remove` in interface `Iterator<org.apache.sling.api.resource.Resource>`